import javax.swing.*;

public class radoSUN_out
	{
	public static void main(String arg[])
		{
			
			double enlem=38.4;
			double boylam=-27.25; 
			
			double ssboylamı=-45.0;
			double yukseklik=0.01;      // deniz seviyesinden yükseklik
			int iklim=2;  				// yarı tropikal
			
			double yatay_egim=30.0; 	//yüzey eğim açısı
			double azimuth=-45.0; 		//yüzey azimut açısı
			double ro=0.2;  		//yansıma oranı
			
			int mounth=8; 
			int day=21; 
			double standartTime=11.0*60.0; 
		
			
			
			
			radoSUN r=new radoSUN( enlem, boylam,ssboylamı, yukseklik, iklim);
			
        	r.radiation(day,mounth,standartTime);
        	
        	r.angles_surface(day,mounth,standartTime, yatay_egim, azimuth, ro);
		
			System.out.println(r.cikti());
			JOptionPane.showMessageDialog(null,r.cikti(),"Güneş ışınımı hesaplatma programı:",JOptionPane.PLAIN_MESSAGE);
		
		
		}
	}